diff -Naurbw a/arch/x86/configs/android-x86_defconfig b/arch/x86/configs/android-x86_defconfig
--- a/arch/x86/configs/android-x86_defconfig	2017-03-14 11:23:04.429597000 +0530
+++ b/arch/x86/configs/android-x86_defconfig	2017-03-14 11:27:55.926207000 +0530
@@ -946,7 +946,9 @@
 # CONFIG_TIPC is not set
 # CONFIG_ATM is not set
 # CONFIG_L2TP is not set
-# CONFIG_BRIDGE is not set
+CONFIG_BRIDGE=m
+CONFIG_BRIDGE_IGMP_SNOOPING=y
+CONFIG_BRIDGE_VLAN_FILTERING=y
 CONFIG_HAVE_NET_DSA=y
 # CONFIG_VLAN_8021Q is not set
 # CONFIG_DECNET is not set
@@ -1050,7 +1052,7 @@
 #
 # Bluetooth device drivers
 #
-CONFIG_BT_HCIBTUSB=m
+# CONFIG_BT_HCIBTUSB is not set
 CONFIG_BT_HCIBTSDIO=m
 CONFIG_BT_HCIUART=m
 CONFIG_BT_HCIUART_H4=y
@@ -1078,14 +1080,14 @@
 CONFIG_WEXT_PROC=y
 CONFIG_WEXT_SPY=y
 CONFIG_WEXT_PRIV=y
-CONFIG_CFG80211=m
-# CONFIG_NL80211_TESTMODE is not set
+CONFIG_CFG80211=m
+CONFIG_NL80211_TESTMODE=y
 # CONFIG_CFG80211_DEVELOPER_WARNINGS is not set
 # CONFIG_CFG80211_REG_DEBUG is not set
 # CONFIG_CFG80211_CERTIFICATION_ONUS is not set
 CONFIG_CFG80211_DEFAULT_PS=y
 # CONFIG_CFG80211_DEBUGFS is not set
-# CONFIG_CFG80211_INTERNAL_REGDB is not set
+CONFIG_CFG80211_INTERNAL_REGDB=y
 CONFIG_CFG80211_WEXT=y
 CONFIG_LIB80211=m
 CONFIG_LIB80211_CRYPT_WEP=m
@@ -2130,7 +2132,7 @@
 # CONFIG_BRCMFMAC_USB is not set
 # CONFIG_BRCM_TRACING is not set
 # CONFIG_BRCMDBG is not set
-CONFIG_WL=m
+# CONFIG_WL is not set
 CONFIG_HOSTAP=m
 # CONFIG_HOSTAP_FIRMWARE is not set
 CONFIG_HOSTAP_PLX=m
@@ -4499,6 +4501,7 @@
 #
 # USB Miscellaneous drivers
 #
+#CONFIG_SS1BTUSB=m
 CONFIG_USB_EMI62=m
 CONFIG_USB_EMI26=m
 # CONFIG_USB_ADUTUX is not set
@@ -5501,7 +5504,7 @@
 # CONFIG_DEBUG_KOBJECT is not set
 # CONFIG_DEBUG_HIGHMEM is not set
 # CONFIG_DEBUG_BUGVERBOSE is not set
-# CONFIG_DEBUG_INFO is not set
+CONFIG_DEBUG_INFO=y
 # CONFIG_DEBUG_VM is not set
 # CONFIG_DEBUG_VIRTUAL is not set
 # CONFIG_DEBUG_WRITECOUNT is not set
